IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[IdentityProductWareLinkNumber]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  CREATE TABLE [dbo].[IdentityProductWareLinkNumber]
  (
    [Id] [int] IDENTITY(1,1) NOT NULL,
    [Field1] [int] NULL,
    CONSTRAINT [PK_IdentityProductWareLinkNumber] PRIMARY KEY CLUSTERED 
  (
  	[Id] ASC
  )
  )

  DECLARE @Value INT
  SELECT @Value = ISNULL(MAX(ProductWareLinkNumber),0)+1 FROM Transactions WITH (NOLOCK)
  DBCC CHECKIDENT('IdentityProductWareLinkNumber', RESEED, @Value) 
END